package com.itbaizhan.web.servlet;

import com.itbaizhan.commens.Constants;
import com.itbaizhan.exception.UserNolFoundException;
import com.itbaizhan.pojo.Users;
import com.itbaizhan.service.impl.UserLoginServiceImpl;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import java.io.IOException;

/**
 * 处理用户登录请求
 */
@WebServlet("/login.do")
public class UserLoginServlet extends HttpServlet {
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        this.doPost(req, resp);
    }

    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        String username = req.getParameter("username");
        String userpwd = req.getParameter("userpwd");
        try {
            UserLoginServiceImpl userLoginService = new UserLoginServiceImpl();
            Users users = userLoginService.userLogin(username, userpwd);
            //建立客户端于服务器的会话状态
            HttpSession session = req.getSession();
            session.setAttribute(Constants.USER_SESSION_KEY,users);
            //使用重定向方式跳转首页
            resp.sendRedirect("main.jsp");
        }catch (UserNolFoundException e){
            req.setAttribute("msg",e.getMessage());
            //请求转发
            req.getRequestDispatcher("login.jsp").forward(req,resp);
        }catch (Exception e){
            resp.sendRedirect("error.jsp");
        }
    }
}
